<div class="row">
    <div class="col-xl-2">
        <app-server-list (selectedServerChange)="selectedServer = $event"></app-server-list>
    </div>
    <div class="col-xl-2">
        <app-feature-list [hidden]="!selectedServer" [selectedServer]="selectedServer" (selectedFeatureChange)="selectedFeature = $event"></app-feature-list>
    </div>
    <div class="col-xl-2">
        <app-command-property-list [hidden]="!selectedFeature" [selectedFeature]="selectedFeature" (selectedItemChange)="selectedItem = $event"></app-command-property-list>
    </div>
    <div class="col-xl-6">
        <app-command-property-area [hidden]="!selectedItem" [selectedServer]="selectedServer" [selectedFeature]="selectedFeature" [selectedItem]="selectedItem"></app-command-property-area>
    </div>
</div>